Migrate from nosetests to pytest
ClosedPublic

Authored by demon on Nov 29 2017, 9:00 PM.

Details

Reviewers
mmodell
Group Reviewers
Release-Engineering-Team
Commits
rMSCA28e8422d42ab: Migrate from nosetests to pytest
Patch without arc
git checkout -b D902 && curl -L https://phabricator.wikimedia.org/D902?download=true | git apply
Summary

Nosetests is pretty much abandonware nowadays, pytest has become the defacto standard.

Test Plan
  • Ran with pytest and py.test (basically the same)
  • Ran via python -m pytest
  • Ran via arc unit
  • Ran arc unit during arc diff

I was super thorough this time!

Diff Detail

Repository
rMSCA Scap
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
demon created this revision.Nov 29 2017, 9:00 PM
Restricted Application added a reviewer: mmodell. · View Herald TranscriptNov 29 2017, 9:00 PM
Restricted Application added a reviewer: Release-Engineering-Team. · View Herald Transcript
Restricted Application added a project: Release-Engineering-Team. · View Herald Transcript
demon requested review of this revision.Nov 29 2017, 9:02 PM
mmodell accepted this revision.Dec 1 2017, 11:59 AM

Seems like an improvement for the most part. My only question is, what about code coverage? We got that with nose but I don't see coverage with pytest.

This revision is now accepted and ready to land.Dec 1 2017, 11:59 AM
demon added a comment.Dec 1 2017, 8:35 PM
In D902#17959, @mmodell wrote:

Seems like an improvement for the most part. My only question is, what about code coverage? We got that with nose but I don't see coverage with pytest.

Hence the bullet point todos and the WIP label :p

demon updated this revision to Diff 2385.Dec 4 2017, 9:06 PM
  • Swapping coverage for pytest-cov (keep it in the dependency list though, sh.py uses it...weirdly)
demon retitled this revision from WIP: Migrate from nosetests to pytest to Migrate from nosetests to pytest.Dec 4 2017, 9:08 PM
demon edited the summary of this revision. (Show Details)
demon edited the test plan for this revision. (Show Details)Dec 4 2017, 9:10 PM

looks good.

This revision was automatically updated to reflect the committed changes.